<template>
    <b-notification 
        type="is-warning"
        has-icon
        aria-close-label="Close notification"
        @close="clear"
        v-if="alert"
    >
            {{ alert }}
    </b-notification>
    
</template>

<script>
import { mapGetters, mapActions } from 'vuex'

export default {
    computed: {
        ...mapGetters({
            alert: 'alert/message'
        })
    },

    methods: {
        ...mapActions({
            clear: 'alert/clear'
        })
    }
}
</script>

<style>
    .alert {
        border-radius: 0;
    }
</style>